org.appng.api.model

## Enum UserType

- java.lang.Object
- - java.lang.Enum<UserType>
  - - org.appng.api.model.UserType

- All Implemented Interfaces:
    Serializable, Comparable<UserType>

      public enum UserType
      extends Enum<UserType>

  Defines the different types a `Subject` can be of.
  Author:
    Matthias Müller

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GLOBAL_GROUP` A global group (without specific users), which is known by appNG, but the credentials are managed by an external system (e.g.
    `GLOBAL_USER` A global user, which is known by appNG, but the credentials are managed by an external system (e.g.
    `LOCAL_USER` Type for local users, which are completely configured within appNG, including their credentials.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `names()`
    `static UserType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_USER

          public static final UserType LOCAL_USER

      Type for local users, which are completely configured within appNG, including their credentials.

    - #### GLOBAL_USER

          public static final UserType GLOBAL_USER

      A global user, which is known by appNG, but the credentials are managed by an external system (e.g. LDAP or NTLM/Kerberos).

    - #### GLOBAL_GROUP

          public static final UserType GLOBAL_GROUP

      A global group (without specific users), which is known by appNG, but the credentials are managed by an external system (e.g. LDAP or NTLM/Kerberos).

  - ### Method Detail

    - #### values

          public static UserType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserType c : UserType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### names

          public static List<String> names()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.